<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: Device/Nuvoton/Nano1X2Series/Source/system_Nano1X2Series.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="../../dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="../../dir_92781df0a275b97b29ea05f684c53720.html">Nano1X2Series</a></li><li class="navelem"><a class="el" href="../../dir_a9675d3fe69a6956120b6eac8ec66ca6.html">Source</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">system_Nano1X2Series.c File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for system_Nano1X2Series.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/df0/system___nano1_x2_series_8c__incl.png" border="0" usemap="#a_device_2_nuvoton_2_nano1_x2_series_2_source_2system___nano1_x2_series_8c" alt=""/></div>
</div>
</div>
<p><a href="../../d5/d7e/system___nano1_x2_series_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a> (void)</td></tr>
<tr class="memdesc:gad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate current PLL clock frequency.  <a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0eab36ae6ce25e23219dc6a1e8fa73a">More...</a><br /></td></tr>
<tr class="separator:gad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca6d5b465c5468d7dc1f3675e834c1b9"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/system___nano1_x2_series_8c.html#aca6d5b465c5468d7dc1f3675e834c1b9">SysGet_HCLKFreq</a> (void)</td></tr>
<tr class="memdesc:aca6d5b465c5468d7dc1f3675e834c1b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current HCLK clock frequency.  <a href="../../d5/d7e/system___nano1_x2_series_8c.html#aca6d5b465c5468d7dc1f3675e834c1b9">More...</a><br /></td></tr>
<tr class="separator:aca6d5b465c5468d7dc1f3675e834c1b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/system___nano1_x2_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a> (void)</td></tr>
<tr class="memdesc:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed.  <a href="../../d5/d7e/system___nano1_x2_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">More...</a><br /></td></tr>
<tr class="separator:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa3cd3e43291e81e795d642b79b6088e6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/system___nano1_x2_series_8c.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> = <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a></td></tr>
<tr class="separator:aa3cd3e43291e81e795d642b79b6088e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63bedf89ae7fbb102b8653aca20d3a14"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d7e/system___nano1_x2_series_8c.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a> = (<a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a> / 1000000)</td></tr>
<tr class="separator:a63bedf89ae7fbb102b8653aca20d3a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aca6d5b465c5468d7dc1f3675e834c1b9" name="aca6d5b465c5468d7dc1f3675e834c1b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca6d5b465c5468d7dc1f3675e834c1b9">&#9670;&nbsp;</a></span>SysGet_HCLKFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SysGet_HCLKFreq </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get current HCLK clock frequency. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>HCLK clock frequency. The clock UNIT is in Hz. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00062">62</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d7e/system___nano1_x2_series_8c_aca6d5b465c5468d7dc1f3675e834c1b9_cgraph.png" border="0" usemap="#ad5/d7e/system___nano1_x2_series_8c_aca6d5b465c5468d7dc1f3675e834c1b9_cgraph" alt=""/></div>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d7e/system___nano1_x2_series_8c_aca6d5b465c5468d7dc1f3675e834c1b9_icgraph.png" border="0" usemap="#ad5/d7e/system___nano1_x2_series_8c_aca6d5b465c5468d7dc1f3675e834c1b9_icgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ae0c36a9591fe6e9c45ecb21a794f0f0f" name="ae0c36a9591fe6e9c45ecb21a794f0f0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0c36a9591fe6e9c45ecb21a794f0f0f">&#9670;&nbsp;</a></span>SystemCoreClockUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SystemCoreClockUpdate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed. </p>
<p >Updates the SystemCoreClock with current core Clock retrieved from CPU registers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00106">106</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d7e/system___nano1_x2_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_cgraph.png" border="0" usemap="#ad5/d7e/system___nano1_x2_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_cgraph" alt=""/></div>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d7e/system___nano1_x2_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph.png" border="0" usemap="#ad5/d7e/system___nano1_x2_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph" alt=""/></div>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a63bedf89ae7fbb102b8653aca20d3a14" name="a63bedf89ae7fbb102b8653aca20d3a14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63bedf89ae7fbb102b8653aca20d3a14">&#9670;&nbsp;</a></span>CyclesPerUs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CyclesPerUs = (<a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a> / 1000000)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Cycles per micro second </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00021">21</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>

</div>
</div>
<a id="aa3cd3e43291e81e795d642b79b6088e6" name="aa3cd3e43291e81e795d642b79b6088e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3cd3e43291e81e795d642b79b6088e6">&#9670;&nbsp;</a></span>SystemCoreClock</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SystemCoreClock = <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >System Clock Frequency (Core Clock) </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00020">20</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
